Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.collection
Class OneToManyLoader

    java.lang.Object
      org.hibernate.loader.Loader
          org.hibernate.loader.BasicLoader
              org.hibernate.loader.OuterJoinLoader
                  org.hibernate.loader.collection.CollectionLoader
                      org.hibernate.loader.collection.OneToManyLoader

All Implemented Interfaces:
  CollectionInitializer

Direct Known Subclasses:
  SubselectOneToManyLoader

    public class OneToManyLoader

extends CollectionLoader

Loads one-to-many associations
The collection persister must implement `QueryableCOllection`. For other collections, create a customized subclass of `Loader`.``

Author:
  Gavin King
See Also:
  `BasicCollectionLoader`

Field Summary

Fields inherited from class org.hibernate.loader.OuterJoinLoader
`aliases, collectionOwners, collectionPersisters, collectionSuffixes, lockModeArray, ownerAssociationTypes, owners, persisters, sql, suffixes`

Fields inherited from class org.hibernate.loader.BasicLoader
`NO_SUFFIX`

Constructor Summary
`OneToManyLoader(QueryableCollection oneToManyPersister, int batchSize, SessionFactoryImplementor factory, Map enabledFilters)`
`OneToManyLoader(QueryableCollection oneToManyPersister, int batchSize, String subquery, SessionFactoryImplementor factory, Map enabledFilters)`
`OneToManyLoader(QueryableCollection oneToManyPersister, SessionFactoryImplementor session, Map enabledFilters)`

Method Summary

Methods inherited from class org.hibernate.loader.collection.CollectionLoader
`getKeyType, initialize, isSubselectLoadingEnabled, toString`

Methods inherited from class org.hibernate.loader.OuterJoinLoader
`getAliases, getCollectionOwners, getCollectionPersisters, getCollectionSuffixes, getDialect, getEnabledFilters, getEntityPersisters, getLockModes, getOwnerAssociationTypes, getOwners, getSQLString, getSuffixes, initFromWalker`

Methods inherited from class org.hibernate.loader.BasicLoader
`generateSuffixes, generateSuffixes, getCollectionAliases, getEntityAliases, postInstantiate`

Methods inherited from class org.hibernate.loader.Loader
`applyLocks, autoDiscoverTypes, bindNamedParameters, bindParameterValues, bindPositionalParameters, checkScrollability, doList, getEntityEagerPropertyFetches, getFactory, getNamedParameterLocs, getQueryIdentifier, getResultColumnOrRow, getResultList, getResultSet, hasSubselectLoadableCollections, isSingleRowLoader, list, loadCollection, loadCollectionBatch, loadCollectionSubselect, loadEntity, loadEntity, loadEntityBatch, loadSequentialRowsForward, loadSequentialRowsReverse, loadSingleRow, needsFetchingScroll, prepareQueryStatement, preprocessSQL, processFilters, scroll, upgradeLocks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OneToManyLoader

    public OneToManyLoader(QueryableCollection oneToManyPersister,
                           SessionFactoryImplementor session,
                           Map enabledFilters)
                    throws MappingException

Throws:
  `MappingException`

### OneToManyLoader

    public OneToManyLoader(QueryableCollection oneToManyPersister,
                           int batchSize,
                           SessionFactoryImplementor factory,
                           Map enabledFilters)
                    throws MappingException

Throws:
  `MappingException`

### OneToManyLoader

    public OneToManyLoader(QueryableCollection oneToManyPersister,
                           int batchSize,
                           String subquery,
                           SessionFactoryImplementor factory,
                           Map enabledFilters)
                    throws MappingException

Throws:
  `MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD